import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Write a description of class Debris here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Debris  extends SmoothMover
{
    private static final double GRAVITY = 0.3; // set to zero for no gravity

    private static final int AVE_LIFETIME = 100;
    private int lifetime;
    private int lifeCount;
    
    private int direction;

    public Debris(Color colour)
    {
        super(new Vector(Greenfoot.getRandomNumber(360), Greenfoot.getRandomNumber(3)+1), Greenfoot.getRandomNumber(90)-45);
        setWrap(false);
        GreenfootImage img = getImage();
        img.clear();
        img.setColor(colour);
        img.fill();
        
        int xsize = Greenfoot.getRandomNumber(15)+1;
        int ysize = Greenfoot.getRandomNumber(15)+1;
        getImage().scale(xsize,ysize);
        
        lifetime = Greenfoot.getRandomNumber(40) -20 +AVE_LIFETIME;
    }

    /**
     * Act - do whatever the Debris wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if (lifeCount < lifetime) {
            applyGravity();  // Comment this out or set GRAVITY to 0 to remove effect of gravity
            move();
            lifeCount++;
        }
        else {
            getWorld().removeObject(this);
        }
    }
    
    private void applyGravity()
    {
        Vector gravity = new Vector(90, GRAVITY);
        addForce(gravity);
    }
}
