import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;
/**
 * Counts numerically, e.g. for scoring, etc.
 * 
 * @author John Littlewood
 */
public class NumericalCounter  extends Actor
{

    private int count;
    Color colour;

    public NumericalCounter()
    {
        this(0);
    }
    
    public NumericalCounter(int startValue)
    {
        this(startValue, new Color(255,255,255));
    }
    
    public NumericalCounter(int startValue, Color colour)
    {
        count = startValue;
        this.colour = colour;
        updateImage();
    }
    
    private void updateImage()
    {
        GreenfootImage img = getImage();
        
        img.clear();
        
        String num = "" + count;
        img.scale(num.length() * 10, img.getHeight());
        
        img.setColor(colour);        
        img.drawString("" + count, 2, img.getHeight());
    }
    
    public void add(int amount)
    {
        count += amount;
        updateImage();
    }
    
    public int getCount()
    {
        return count;
    }
}
